/******************************************************************************* 
 * emulator_implementation.h - SNES9x PS3
 *
 *  Created on: Oct 15, 2010
 *      Author: Squarepusher2
********************************************************************************/

#ifndef EMULATOR_IMPLEMENTATION_H_
#define EMULATOR_IMPLEMENTATION_H_

#include "main.h"
#include "../cellframework/input/cellInput.h"

#define MAKE_BUTTON(pad, btn)  (((pad)<<6)+btn)
#define MAKE_POINTER(pad, btn) (((pad)<<4)|(btn))

enum
{
	PAD_1 = 1,
	PAD_2,
	PAD_3,
	PAD_4,
	PAD_5
};	

enum
{
	MAP_BUTTONS_OPTION_SETTER,
	MAP_BUTTONS_OPTION_GETTER,
	MAP_BUTTONS_OPTION_DEFAULT,
	MAP_BUTTONS_OPTION_NEW
};

enum
{
	ACCESSORY_AUTODETECTION_CONFIRM = 0,
	ACCESSORY_AUTODETECTION_ENABLED,
	ACCESSORY_AUTODETECTION_NONE
};

bool Emulator_Implementation_InitSettings();
bool Emulator_Implementation_InitSystem();
bool Emulator_Implementation_IsMultitapCompatible();
void Emulator_Implementation_SaveCustomControls(bool showdialog);
bool Emulator_Implementation_SaveSettings();
char * Emulator_Implementation_InputCheat();
uint32_t Emulator_Implementation_CurrentCheatPosition();
unsigned int Emulator_Implementation_CurrentSaveStateSlot();
void Emulator_Implementation_ButtonMappingSettings(int map_button_option_enum);
void Emulator_Implementation_DecrementCurrentCheatPosition();
void Emulator_Implementation_DecrementCurrentSaveStateSlot();
void Emulator_Implementation_IncrementCurrentCheatPosition();
void Emulator_Implementation_IncrementCurrentSaveStateSlot();
void Emulator_Implementation_MouseDefaultPos();
void Emulator_Implementation_SaveSRAM();
void Emulator_Implementation_SetCurrentSaveStateSlot(int set_current_save_state_slot);
void Emulator_Implementation_SwitchControlScheme();
void Emulator_Implementation_SwitchPAL60Hz(bool pal60Hz);
void Emulator_Implementation_Mainloop();
void Emulator_Implementation_MuteSound(bool paused);
void Emulator_Implementation_ToggleSound();

#endif /* EMULATOR_IMPLEMENTATION_H_ */
